Skip to main content
GET
/
api
/
v2
/
Pledge
/
ByContact
/
{contactId}
Get Pledges for a Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/v2/Pledge/ByContact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact identifier.

Query Parameters

sortBy
string

The field to be sorted. Supported: Id, PledgeDate, AmountPledged, CreatedDateTime.

descending
string

The direction to be sorted.

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026